This is EllipticIntegrals.info, produced by Macaulay2, version 1.20

EllipticIntegrals
*****************

Description
===========

This package provides some functions for computing elliptic integrals and
elliptic functions. The basis for the computations is the arithmetic geometric
mean, and the notation we use comes from the paper The arithogeometric mean
(see http://dangrayson.com/cv.xhtml#agm ), Archiv der Mathematik, volume 52,
1989, pages 507-512.

Author
======

  * Daniel R. Grayson (see http://www.math.uiuc.edu/~dan/ ) <dan@math.uiuc.edu>

Version
=======

This documentation describes version 1.0 of EllipticIntegrals.

Source code
===========

The source code from which this documentation is derived is in the file
EllipticIntegrals.m2 (see common/share/Macaulay2/EllipticIntegrals.m2 ).

Exports
=======

  * Types
      * EllipticCurve (missing documentation)
      * EllipticCurvePoint (missing documentation)
  * Functions and commands
      * distance (missing documentation)
  * Symbols
      * checkEquation (missing documentation)
      * modPeriods (missing documentation)
      * Period (missing documentation)
      * Period' (missing documentation)
      * periodCoordinates (missing documentation)
      * PointClass (missing documentation)
      * test (missing documentation)

For the programmer
==================

The object EllipticIntegrals, is a package (Macaulay2Doc).

checkEquation
*************

For the programmer
==================

The object checkEquation (missing documentation) is a symbol (Macaulay2Doc).

distance
********

For the programmer
==================

The object distance (missing documentation) is a function closure (Macaulay2Doc).

EllipticCurve
*************

Methods that use an object of class EllipticCurve :
===================================================

  * EllipticCurve List (missing documentation)
  * Function _ EllipticCurve (missing documentation)
  * isReal(EllipticCurve) (missing documentation)
  * net(EllipticCurve) (missing documentation)
  * new EllipticCurve from List (missing documentation)
  * precision(EllipticCurve) (missing documentation)
  * toString(EllipticCurve) (missing documentation)

For the programmer
==================

The object EllipticCurve (missing documentation) is a type (Macaulay2Doc),
with ancestor classes ProjectiveVariety (Macaulay2Doc),
< Variety (Macaulay2Doc) <
MutableHashTable (Macaulay2Doc) < HashTable (Macaulay2Doc)
< Thing (Macaulay2Doc).

EllipticCurvePoint
******************

Methods that use an object of class EllipticCurvePoint :
========================================================

  * - EllipticCurvePoint (missing documentation)
  * conjugate(EllipticCurvePoint) (missing documentation)
  * EllipticCurvePoint + EllipticCurvePoint (missing documentation)
  * EllipticCurvePoint - EllipticCurvePoint (missing documentation)
  * isReal(EllipticCurvePoint) (missing documentation)
  * net(EllipticCurvePoint) (missing documentation)
  * toString(EllipticCurvePoint) (missing documentation)

For the programmer
==================

The object EllipticCurvePoint (missing documentation) is a type (Macaulay2Doc),
with ancestor classes List (Macaulay2Doc), <
VisibleList (Macaulay2Doc) < BasicList (Macaulay2Doc)
< Thing (Macaulay2Doc).

modPeriods
**********

For the programmer
==================

The object modPeriods (missing documentation) is a symbol (Macaulay2Doc).

Period
******

For the programmer
==================

The object Period (missing documentation) is a symbol (Macaulay2Doc).

Period'
*******

For the programmer
==================

The object Period' (missing documentation) is a symbol (Macaulay2Doc).

periodCoordinates
*****************

For the programmer
==================

The object periodCoordinates (missing documentation) is a symbol (Macaulay2Doc).

PointClass
**********

For the programmer
==================

The object PointClass (missing documentation) is a symbol (Macaulay2Doc).

test
****

For the programmer
==================

The object test (missing documentation) is a symbol (Macaulay2Doc).